import { _list, _view, _export, _add, _adds, _up, _ups, _del } from '@/api/app'
import { reformateObjectRes } from '@/utils/index'

const useSessionManageStore = defineStore('sessionManage', {
  state: () => ({
    //...
  }),
  actions: {
    //* *********** 会话 **************
    // 获取列表
    list(data) {
      return new Promise((resolve, reject) => {
        data.pagevalue = 30
        _list(data)
          .then((res) => {
            resolve(res.Data)
          })
          .catch((err) => {
            reject(err)
          })
      })
    },
    // 获取详情
    view(data) {
      return new Promise((resolve, reject) => {
        data.pagevalue = 31
        _view(data)
          .then((res) => {
            resolve(reformateObjectRes(res.Data))
          })
          .catch((err) => {
            reject(err)
          })
      })
    },
    // 更新
    up(data) {
      return new Promise((resolve, reject) => {
        data.pagevalue = 32
        _up(data)
          .then((res) => {
            resolve(res.Data)
          })
          .catch((err) => {
            reject(err)
          })
      })
    },
    // 新增
    add(data) {
      return new Promise((resolve, reject) => {
        data.pagevalue = 33
        _add(data)
          .then((res) => {
            resolve(res.Data)
          })
          .catch((err) => {
            reject(err)
          })
      })
    },
  },
})

export default useSessionManageStore
